Index: admin/js/_blog_pref.js
===================================================================
--- admin/js/_blog_pref.js	(revision 3706)
+++ admin/js/_blog_pref.js	(revision 3880)
@@ -1,53 +1,56 @@
 /*global $, dotclear, jsToolBar */
 'use strict';
-function checkQueryString() {
-	var blogUrl = $('#blog_url')[0].value;
-	var urlScan = $('#url_scan')[0].value;
-	var errorMsg = '';
-	if (/.*[^\/]$/.exec(blogUrl) && urlScan=='path_info') {
-		errorMsg = dotclear.msg.warning_path_info;
-	} else if (/.*[^\?]$/.exec(blogUrl) && urlScan=='query_string') {
-		errorMsg = dotclear.msg.warning_query_string;
-	}
-	$('p#urlwarning').remove();
-	if (errorMsg != '') {
-		$('#blog_url').parents('p').after('<p id="urlwarning" class="warning">'+errorMsg+'</p>');
-	}
-}
-
 
 $(function() {
-	var blog_url = $('#blog_url');
-	if (blog_url.length > 0 && !blog_url.is(':hidden')) {
-		checkQueryString();
-		$('#blog_url').focusout(checkQueryString);
-		$('body').on('change','#url_scan',checkQueryString);
-	}
+  const blog_url = $('#blog_url');
+  if (blog_url.length > 0 && !blog_url.is(':hidden')) {
+    const checkQueryString = function() {
+      const url = blog_url[0].value;
+      const scan = $('#url_scan')[0].value;
+      let msg = '';
+      if (/.*[^\/]$/.exec(url) && scan == 'path_info') {
+        msg = dotclear.msg.warning_path_info;
+      } else if (/.*[^\?]$/.exec(url) && scan == 'query_string') {
+        msg = dotclear.msg.warning_query_string;
+      }
+      $('p#urlwarning').remove();
+      if (msg != '') {
+        blog_url.parents('p').after(`<p id="urlwarning" class="warning">${msg}</p>`);
+      }
+    };
+    checkQueryString();
+    blog_url.focusout(checkQueryString);
+    $('body').on('change', '#url_scan', checkQueryString);
+  }
 
-	$('#date_format_select,#time_format_select').change(function() {
-		if ($(this).prop('value') == '') {
-			return;
-		}
-		$('#'+$(this).attr('id').replace('_select','')).prop('value', $(this).prop('value'));
-		$(this).parent().next('.chosen').html($(this).find(':selected').prop('label'));
-	});
+  $('#date_format_select,#time_format_select').change(function() {
+    if ($(this).prop('value') == '') {
+      return;
+    }
+    $('#' + $(this).attr('id').replace('_select', '')).prop('value', $(this).prop('value'));
+    $(this).parent().next('.chosen').html($(this).find(':selected').prop('label'));
+  });
 
-	// HTML text editor
-	if ($.isFunction(jsToolBar)) {
-		$('#blog_desc').each(function() {
-			var tbWidgetText = new jsToolBar(this);
-			tbWidgetText.context = 'blog_desc';
-			tbWidgetText.draw('xhtml');
-		});
-	}
+  // HTML text editor
+  if ($.isFunction(jsToolBar)) {
+    $('#blog_desc').each(function() {
+      let tbWidgetText = new jsToolBar(this);
+      tbWidgetText.context = 'blog_desc';
+      tbWidgetText.draw('xhtml');
+    });
+  }
 
-	// Hide advanced and plugins prefs sections
-	$('#advanced-pref h3').toggleWithLegend($('#advanced-pref').children().not('h3'),{
-		legend_click: true,
-		user_pref: 'dcx_blog_pref_adv'
-	});
-	$('#plugins-pref h3').toggleWithLegend($('#plugins-pref').children().not('h3'),{
-		legend_click: true,
-		user_pref: 'dcx_blog_pref_plg'
-	});
+  // Hide advanced and plugins prefs sections
+  $('#standard-pref h3').toggleWithLegend($('#standard-pref').children().not('h3'), {
+    legend_click: true,
+    hide: false
+  });
+  $('#advanced-pref h3').toggleWithLegend($('#advanced-pref').children().not('h3'), {
+    legend_click: true,
+    user_pref: 'dcx_blog_pref_adv',
+  });
+  $('#plugins-pref h3').toggleWithLegend($('#plugins-pref').children().not('h3'), {
+    legend_click: true,
+    user_pref: 'dcx_blog_pref_plg',
+  });
 });
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 3768)
+++ admin/js/_blog_theme.js	(revision 3880)
@@ -5,5 +5,5 @@
   // expend theme info
   $('.module-sshot').not('.current-theme .module-sshot').each(function() {
-    var bar = $('<div>').addClass('bloc-toggler');
+    const bar = $('<div>').addClass('bloc-toggler');
     $(this).after(
       $(bar).toggleWithLegend($(this).parent().children('.toggle-bloc'), {
@@ -22,5 +22,5 @@
   // dirty short search blocker
   $('div.modules-search form input[type=submit]').click(function() {
-    var mlen = $('input[name=m_search]', $(this).parent()).val();
+    const mlen = $('input[name=m_search]', $(this).parent()).val();
     if (mlen.length > 2) {
       return true;
@@ -37,21 +37,21 @@
   // actions tests
   $('.modules-form-actions').each(function() {
-    var rxActionType = /^[^\[]+/;
-    var rxActionValue = /([^\[]+)\]$/;
-    var checkboxes = $(this).find('input[type=checkbox]');
+    const rxActionType = /^[^\[]+/;
+    const rxActionValue = /([^\[]+)\]$/;
+    const checkboxes = $(this).find('input[type=checkbox]');
 
     // check if submit is a global action or one line action
     $('input[type=submit]', this).click(function() {
-      var keyword = $(this).attr('name');
+      const keyword = $(this).attr('name');
       if (!keyword) {
         return true;
       }
-      var maction = keyword.match(rxActionType);
-      var action = maction[0];
-      var mvalues = keyword.match(rxActionValue);
+      const maction = keyword.match(rxActionType);
+      const action = maction[0];
+      const mvalues = keyword.match(rxActionValue);
 
       // action on multiple modules
       if (!mvalues) {
-        var checked = false;
+        let checked = false;
 
         // check if there is checkboxes in form
@@ -76,5 +76,5 @@
         // action on one module
       } else {
-        var module = mvalues[1];
+        const module = mvalues[1];
 
         // confirm delete
Index: admin/js/_blogs.js
===================================================================
--- admin/js/_blogs.js	(revision 3706)
+++ admin/js/_blogs.js	(revision 3880)
@@ -9,5 +9,5 @@
   dotclear.condSubmit('#form-blogs td input[type=checkbox]', '#form-blogs #do-action');
   $('#form-blogs').submit(function() {
-    var action = $(this).find('select[name="action"]').val();
+    const action = $(this).find('select[name="action"]').val();
     if (action == 'delete') {
       return window.confirm(dotclear.msg.confirm_delete_blog.replace('%s', $('input[name="blogs[]"]:checked').size()));
Index: admin/js/_category.js
===================================================================
--- admin/js/_category.js	(revision 3706)
+++ admin/js/_category.js	(revision 3880)
@@ -6,5 +6,5 @@
 
   if ($.isFunction(jsToolBar)) {
-    var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
+    const tbCategory = new jsToolBar(document.getElementById('cat_desc'));
     tbCategory.draw('xhtml');
   }
Index: admin/js/_comment.js
===================================================================
--- admin/js/_comment.js	(revision 3706)
+++ admin/js/_comment.js	(revision 3880)
@@ -4,5 +4,5 @@
 $(function() {
 	if ($.isFunction(jsToolBar)) {
-		var tbComment = new jsToolBar(document.getElementById('comment_content'));
+		const tbComment = new jsToolBar(document.getElementById('comment_content'));
 		tbComment.draw('xhtml');
 	}
Index: admin/js/_comments.js
===================================================================
--- admin/js/_comments.js	(revision 3706)
+++ admin/js/_comments.js	(revision 3880)
@@ -2,54 +2,41 @@
 'use strict';
 
-dotclear.viewCommentContent = function(line, action) {
+dotclear.viewCommentContent = function(line, action, e) {
   action = action || 'toggle';
-  var commentId = $(line).attr('id').substr(1);
-  var tr = document.getElementById('ce' + commentId);
+  if ($(line).attr('id') == undefined) {
+    return;
+  }
 
-  if (!tr && (action == 'toggle' || action == 'open')) {
-    tr = document.createElement('tr');
-    tr.id = 'ce' + commentId;
-    var td = document.createElement('td');
-    td.colSpan = 6;
-    td.className = 'expand';
-    tr.appendChild(td);
+  const commentId = $(line).attr('id').substr(1);
+  const lineId = `ce${commentId}`;
+  let tr = document.getElementById(lineId);
 
-    // Get comment content
-    $.get('services.php', {
-      f: 'getCommentById',
-      id: commentId
-    }, function(data) {
-      var rsp = $(data).children('rsp')[0];
+  // If meta key down or it's a spam then display content HTML code
+  const clean = (e.metaKey || $(line).hasClass('sts-junk'));
 
-      if (rsp.attributes[0].value == 'ok') {
-        var comment = $(rsp).find('comment_display_content').text();
-
-        if (comment) {
-          $(td).append(comment);
-          var comment_email = $(rsp).find('comment_email').text();
-          var comment_site = $(rsp).find('comment_site').text();
-          var comment_ip = $(rsp).find('comment_ip').text();
-          var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
-
-          $(td).append('<p><strong>' + dotclear.msg.website +
-            '</strong> ' + comment_site + '<br />' +
-            '<strong>' + dotclear.msg.email + '</strong> ' + comment_email + '<br />' +
-            '<strong>' + dotclear.msg.ip_address +
-            '</strong> <a href="comments.php?ip=' + comment_ip + '">' + comment_ip + '</a>' +
-            '<br />' + comment_spam_disp + '</p>');
-        }
+  if (!tr) {
+    // Get comment content if possible
+    dotclear.getCommentContent(commentId, function(content) {
+      if (content) {
+        // Content found
+        tr = document.createElement('tr');
+        tr.id = lineId;
+        const td = document.createElement('td');
+        td.colSpan = $(line).children('td').length;
+        td.className = 'expand';
+        tr.appendChild(td);
+        $(td).append(content);
+        $(line).addClass('expand');
+        line.parentNode.insertBefore(tr, line.nextSibling);
       } else {
-        window.alert($(rsp).find('message').text());
+        // No content, content not found or server error
+        $(line).removeClass('expand');
       }
+    }, {
+      clean: clean
     });
-
+  } else {
+    $(tr).toggle();
     $(line).toggleClass('expand');
-    line.parentNode.insertBefore(tr, line.nextSibling);
-  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
-    $(tr).css('display', 'table-row');
-    $(line).addClass('expand');
-  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
-    $(tr).css('display', 'none');
-    $(line).removeClass('expand');
   }
 };
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 3781)
+++ admin/js/_index.js	(revision 3880)
@@ -3,5 +3,5 @@
 
 dotclear.dbCommentsCount = function() {
-  var params = {
+  const params = {
     f: 'getCommentsCount',
     xd_check: dotclear.nonce,
@@ -13,11 +13,11 @@
       window.console.log('Dotclear REST server error');
     } else {
-      var nb = $('rsp>count', data).attr('ret');
+      const nb = $('rsp>count', data).attr('ret');
       if (nb != dotclear.dbCommentsCount_Counter) {
         // First pass or counter changed
-        var icon = $('#dashboard-main #icons p a[href="comments.php"]');
+        const icon = $('#dashboard-main #icons p a[href="comments.php"]');
         if (icon.length) {
           // Update count if exists
-          var nb_label = icon.children('span.db-icon-title');
+          const nb_label = icon.children('span.db-icon-title');
           if (nb_label.length) {
             nb_label.text(nb);
@@ -31,5 +31,5 @@
 };
 dotclear.dbPostsCount = function() {
-  var params = {
+  const params = {
     f: 'getPostsCount',
     xd_check: dotclear.nonce,
@@ -41,11 +41,11 @@
       window.console.log('Dotclear REST server error');
     } else {
-      var nb = $('rsp>count', data).attr('ret');
+      const nb = $('rsp>count', data).attr('ret');
       if (nb != dotclear.dbPostsCount_Counter) {
         // First pass or counter changed
-        var icon = $('#dashboard-main #icons p a[href="posts.php"]');
+        const icon = $('#dashboard-main #icons p a[href="posts.php"]');
         if (icon.length) {
           // Update count if exists
-          var nb_label = icon.children('span.db-icon-title');
+          const nb_label = icon.children('span.db-icon-title');
           if (nb_label.length) {
             nb_label.text(nb);
@@ -64,5 +64,5 @@
     }
 
-    var params = {
+    const params = {
       f: 'quickPost',
       xd_check: dotclear.nonce,
@@ -80,5 +80,5 @@
 
     $.post('services.php', params, function(data) {
-      var msg;
+      let msg;
       if ($('rsp[status=failed]', data).length > 0) {
         msg = '<p class="qinfo"><strong>' + dotclear.msg.error +
@@ -108,5 +108,5 @@
   }
 
-  var f = $('#quick-entry');
+  const f = $('#quick-entry');
   if (f.length > 0) {
     if ($.isFunction(jsToolBar)) {
@@ -143,5 +143,5 @@
 
   // check if core update available
-  var params = {
+  let params = {
     f: 'checkCoreUpdate',
     xd_check: dotclear.nonce
@@ -153,6 +153,8 @@
       if ($('rsp>update', data).attr('check') == 1) {
         // Something has to be displayed
-        var xml = $('rsp>update', data).attr('ret');
+        const xml = $('rsp>update', data).attr('ret');
         $('#content h2').after(xml);
+        // manage outgoing links
+        dotclear.outgoingLinks('#ajax-update a');
       }
     }
@@ -170,5 +172,5 @@
       if ($('rsp>news', data).attr('check') == 1) {
         // Something has to be displayed
-        var xml = $('rsp>news', data).attr('ret');
+        const xml = $('rsp>news', data).attr('ret');
         if ($('#dashboard-boxes').length == 0) {
           // Create the #dashboard-boxes container
@@ -180,4 +182,6 @@
         }
         $('#dashboard-boxes div.db-items').prepend(xml);
+        // manage outgoing links
+        dotclear.outgoingLinks('#ajax-news a');
       }
     }
@@ -186,6 +190,5 @@
   // run counters' update on some dashboard icons
   // Comments (including everything)
-  var icon_com = $('#dashboard-main #icons p a[href="comments.php"]');
-  if (icon_com.length) {
+  if ($('#dashboard-main #icons p a[href="comments.php"]').length) {
     // Icon exists on dashboard
     // First pass
@@ -195,6 +198,5 @@
   }
   // Posts
-  var icon_com = $('#dashboard-main #icons p a[href="posts.php"]');
-  if (icon_com.length) {
+  if ($('#dashboard-main #icons p a[href="posts.php"]').length) {
     // Icon exists on dashboard
     // First pass
@@ -203,3 +205,40 @@
     dotclear.dbPostsCount_Timer = setInterval(dotclear.dbCommentsPost, 600 * 1000);
   }
+
+  // Dashboard boxes and their children are sortable
+  const set_positions = function(sel, id) {
+    const list = $(sel).sortable("toArray").join();
+    // Save positions (via services) for id
+    const params = {
+      f: 'setDashboardPositions',
+      xd_check: dotclear.nonce,
+      id: id,
+      list: list
+    };
+    $.post('services.php', params, function() {});
+  };
+  const init_positions = function(sel, id) {
+    $(sel).sortable({
+      cursor: 'move',
+      opacity: 0.5,
+      tolerance: "pointer",
+      update: function() {
+        set_positions(sel, id);
+      },
+      start: function() {
+        $(sel).addClass('sortable-area');
+      },
+      stop: function() {
+        $(sel).removeClass('sortable-area');
+      }
+    });
+  };
+  // Wait 5 seconds before activating ordering capabilities on dashboard
+  setTimeout(function() {
+    init_positions('#dashboard-main', 'main_order');
+    init_positions('#dashboard-boxes', 'boxes_order');
+    init_positions('#db-items', 'boxes_items_order');
+    init_positions('#db-contents', 'boxes_contents_order');
+  }, 5000);
+
 });
Index: admin/js/_langs.js
===================================================================
--- admin/js/_langs.js	(revision 3706)
+++ admin/js/_langs.js	(revision 3880)
@@ -4,5 +4,5 @@
 $(function() {
 	$('table.plugins form input[type=submit][name=delete]').click(function() {
-		var l_name = $(this).parents('tr.line').find('td:first').text();
+		const l_name = $(this).parents('tr.line').find('td:first').text();
 		return window.confirm(dotclear.msg.confirm_delete_lang.replace('%s',l_name));
 	});
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 3706)
+++ admin/js/_media.js	(revision 3880)
@@ -5,6 +5,6 @@
   $.fn.enhancedUploader = function() {
     return this.each(function() {
-      var me = $(this);
-      var $container = $(me).parent();
+      const me = $(this);
+      const $container = $(me).parent();
 
       function enableButton(button) {
@@ -17,5 +17,5 @@
 
       function displayMessageInQueue(n) {
-        var msg = '';
+        let msg = '';
         if (n == 1) {
           msg = dotclear.jsUpload.msg.file_in_queue;
@@ -88,5 +88,6 @@
       });
 
-      var $msg, label;
+      let $msg;
+      let label;
 
       if ($container.hasClass('enhanced_uploader')) {
@@ -103,5 +104,5 @@
       }
 
-      $('<p class="clear"><button type="button" class="enhanced-toggle">' + $msg + '</button></p>').click(function(e) {
+      $(`<p class="clear"><button type="button" class="enhanced-toggle">${$msg}</button></p>`).click(function(e) {
         if ($container.hasClass('enhanced_uploader')) {
           $msg = dotclear.msg.enhanced_uploader_activate;
@@ -122,6 +123,6 @@
           label = dotclear.jsUpload.msg.choose_files;
           $('#upfile').attr('multiple', true);
-          var startButton = $('.button.start');
-          var buttonBar = $('#fileupload .fileupload-buttonbar');
+          const startButton = $('.button.start');
+          const buttonBar = $('#fileupload .fileupload-buttonbar');
           disableButton(startButton);
           disableButton(buttonBar);
@@ -153,5 +154,5 @@
 
   $('#form-medias #delete_medias').click(function(e) {
-    var count_checked = $('input[name="medias[]"]:checked', $('#form-medias')).length;
+    const count_checked = $('input[name="medias[]"]:checked', $('#form-medias')).length;
     if (count_checked == 0) {
       e.preventDefault();
@@ -168,10 +169,10 @@
   // attach media
   $('#form-medias').on('click', '.media-item .attach-media', function(e) {
-    var parts = $(this).prop('href').split('?');
-    var str_params = parts[1].split('&');
-    var postData = {};
-
-    for (var n = 0; n < str_params.length; n++) {
-      var kv = str_params[n].split('=');
+    const parts = $(this).prop('href').split('?');
+    const str_params = parts[1].split('&');
+    let postData = {};
+
+    for (let n = 0; n < str_params.length; n++) {
+      const kv = str_params[n].split('=');
       postData[kv[0]] = kv[1];
     }
@@ -192,6 +193,6 @@
   function fileRemoveAct() {
     $('body').on('click', 'a.media-remove', function() {
-      var m_name = $(this).parents('.media-item').find('a.media-link').text();
-      var m_text = '';
+      const m_name = $(this).parents('.media-item').find('a.media-link').text();
+      let m_text = '';
       if ($(this).parents('div.media-folder').length == 0) {
         m_text = dotclear.msg.confirm_delete_media.replace('%s', m_name);
@@ -200,5 +201,5 @@
       }
       if (window.confirm(m_text)) {
-        var f = $('#media-remove-hide').get(0);
+        const f = $('#media-remove-hide').get(0);
         f.elements.remove.value = this.href.replace(/^(.*)&remove=(.*?)(&|$)/, '$2');
         this.href = '';
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 3706)
+++ admin/js/_media_item.js	(revision 3880)
@@ -4,7 +4,7 @@
 $(function() {
   // Add datePicker if possible
-  var media_dt = document.getElementById('media_dt');
+  const media_dt = document.getElementById('media_dt');
   if (media_dt != undefined) {
-    var post_dtPick = new datePicker(media_dt);
+    const post_dtPick = new datePicker(media_dt);
     post_dtPick.img_top = '1.5em';
     post_dtPick.draw();
@@ -18,11 +18,11 @@
   // Display zip file content
   $('#file-unzip').each(function() {
-    var a = document.createElement('a');
-    var mediaId = $(this).find('input[name=id]').val();
-    var self = $(this);
+    const a = document.createElement('a');
+    const mediaId = $(this).find('input[name=id]').val();
+    const This = $(this);
 
     a.href = '#';
     $(a).text(dotclear.msg.zip_file_content);
-    self.before(a);
+    This.before(a);
     $(a).wrap('<p></p>');
 
@@ -32,10 +32,10 @@
         id: mediaId
       }, function(data) {
-        var rsp = $(data).children('rsp')[0];
+        const rsp = $(data).children('rsp')[0];
 
         if (rsp.attributes[0].value == 'ok') {
-          var div = document.createElement('div');
-          var list = document.createElement('ul');
-          var expanded = false;
+          const div = document.createElement('div');
+          const list = document.createElement('ul');
+          let expanded = false;
 
           $(div).css({
@@ -46,5 +46,5 @@
           $(div).addClass('color-div');
           $(div).append(list);
-          self.before(div);
+          This.before(div);
           $(a).hide();
           $(div).before('<h3>' + dotclear.msg.zip_file_content + '</h3>');
Index: admin/js/_plugins.js
===================================================================
--- admin/js/_plugins.js	(revision 3768)
+++ admin/js/_plugins.js	(revision 3880)
@@ -21,21 +21,21 @@
   // actions tests
   $('.modules-form-actions').each(function() {
-    var rxActionType = /^[^\[]+/;
-    var rxActionValue = /([^\[]+)\]$/;
-    var checkboxes = $(this).find('input[type=checkbox]');
+    const rxActionType = /^[^\[]+/;
+    const rxActionValue = /([^\[]+)\]$/;
+    const checkboxes = $(this).find('input[type=checkbox]');
 
     // check if submit is a global action or one line action
     $('input[type=submit]', this).click(function() {
-      var keyword = $(this).attr('name');
+      const keyword = $(this).attr('name');
       if (!keyword) {
         return true;
       }
-      var maction = keyword.match(rxActionType);
-      var action = maction[0];
-      var mvalues = keyword.match(rxActionValue);
+      const maction = keyword.match(rxActionType);
+      const action = maction[0];
+      const mvalues = keyword.match(rxActionValue);
 
       // action on multiple modules
       if (!mvalues) {
-        var checked = false;
+        let checked = false;
 
         // check if there is checkboxes in form
@@ -60,5 +60,5 @@
         // action on one module
       } else {
-        var module = mvalues[1];
+        const module = mvalues[1];
 
         // confirm delete
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 3706)
+++ admin/js/_post.js	(revision 3880)
@@ -2,48 +2,39 @@
 'use strict';
 
-dotclear.viewCommentContent = function(line) {
-  var commentId = $(line).attr('id').substr(1);
-  var tr = document.getElementById('ce' + commentId);
+dotclear.viewCommentContent = function(line, action, e) {
+  action = action || 'toggle';
+  if ($(line).attr('id') == undefined) {
+    return;
+  }
+
+  const commentId = $(line).attr('id').substr(1);
+  const lineId = `ce${commentId}`;
+  let tr = document.getElementById(lineId);
+
+  // If meta key down or it's a spam then display content HTML code
+  const clean = (e.metaKey || $(line).hasClass('sts-junk'));
 
   if (!tr) {
-    tr = document.createElement('tr');
-    tr.id = 'ce' + commentId;
-    var td = document.createElement('td');
-    td.colSpan = 6;
-    td.className = 'expand';
-    tr.appendChild(td);
-
     // Get comment content
-    $.get('services.php', {
-      f: 'getCommentById',
-      id: commentId
-    }, function(data) {
-      var rsp = $(data).children('rsp')[0];
-
-      if (rsp.attributes[0].value == 'ok') {
-        var comment = $(rsp).find('comment_display_content').text();
-
-        if (comment) {
-          $(td).append(comment);
-          var comment_email = $(rsp).find('comment_email').text();
-          var comment_site = $(rsp).find('comment_site').text();
-          //          var comment_ip = $(rsp).find('comment_ip').text();
-          var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
-
-          $(td).append('<p><strong>' + dotclear.msg.website +
-            '</strong> ' + comment_site + '<br />' +
-            '<strong>' + dotclear.msg.email + '</strong> ' +
-            comment_email + '<br />' + comment_spam_disp + '</p>');
-        }
+    dotclear.getCommentContent(commentId, function(content) {
+      if (content) {
+        // Content found
+        tr = document.createElement('tr');
+        tr.id = lineId;
+        const td = document.createElement('td');
+        td.colSpan = $(line).children('td').length;
+        td.className = 'expand';
+        tr.appendChild(td);
+        $(td).append(content);
+        $(line).addClass('expand');
+        line.parentNode.insertBefore(tr, line.nextSibling);
       } else {
-        window.alert($(rsp).find('message').text());
+        // No content, content not found or server error
+        $(line).removeClass('expand');
       }
+    }, {
+      ip: false,
+      clean: clean
     });
-
-    $(line).toggleClass('expand');
-    line.parentNode.insertBefore(tr, line.nextSibling);
-  } else if (tr.style.display == 'none') {
-    $(tr).toggle();
-    $(line).toggleClass('expand');
   } else {
     $(tr).toggle();
@@ -54,9 +45,9 @@
 $(function() {
   // Post preview
-  var $preview_url = $('#post-preview').attr('href');
+  let $preview_url = $('#post-preview').attr('href');
   if ($preview_url) {
 
     // Make $preview_url absolute
-    var $a = document.createElement('a');
+    let $a = document.createElement('a');
     $a.href = $('#post-preview').attr('href');
     $preview_url = $a.href;
@@ -90,5 +81,5 @@
 
     // Add date picker
-    var post_dtPick = new datePicker($('#post_dt').get(0));
+    const post_dtPick = new datePicker($('#post_dt').get(0));
     post_dtPick.img_top = '1.5em';
     post_dtPick.draw();
@@ -152,5 +143,5 @@
     $('a.attachment-remove').click(function() {
       this.href = '';
-      var m_name = $(this).parents('ul').find('li:first>a').attr('title');
+      const m_name = $(this).parents('ul').find('li:first>a').attr('title');
       if (window.confirm(dotclear.msg.confirm_remove_attachment.replace('%s', m_name))) {
         var f = $('#attachment-remove-hide').get(0);
@@ -164,4 +155,5 @@
   $('#comments').onetabload(function() {
     $.expandContent({
+      line: $('#form-comments .comments-list tr:not(.line)'),
       lines: $('#form-comments .comments-list tr.line'),
       callback: dotclear.viewCommentContent
@@ -176,4 +168,5 @@
   $('#trackbacks').onetabload(function() {
     $.expandContent({
+      line: $('#form-trackbacks .comments-list tr:not(.line)'),
       lines: $('#form-trackbacks .comments-list tr.line'),
       callback: dotclear.viewCommentContent
Index: admin/js/_posts_actions.js
===================================================================
--- admin/js/_posts_actions.js	(revision 3706)
+++ admin/js/_posts_actions.js	(revision 3880)
@@ -3,5 +3,5 @@
 
 $(function() {
-  var new_auth_id = $('#new_auth_id');
+  const new_auth_id = $('#new_auth_id');
   if (new_auth_id.length) {
     new_auth_id.autocomplete(usersList, {
Index: admin/js/_posts_list.js
===================================================================
--- admin/js/_posts_list.js	(revision 3706)
+++ admin/js/_posts_list.js	(revision 3880)
@@ -2,50 +2,37 @@
 'use strict';
 
-dotclear.viewPostContent = function(line, action) {
+dotclear.viewPostContent = function(line, action, e) {
   action = action || 'toggle';
-  var postId = $(line).attr('id').substr(1);
-  var tr = document.getElementById('pe' + postId);
+  if ($(line).attr('id') == undefined) {
+    return;
+  }
 
-  if (!tr && (action == 'toggle' || action == 'open')) {
-    tr = document.createElement('tr');
-    tr.id = 'pe' + postId;
-    var td = document.createElement('td');
-    td.colSpan = 8;
-    td.className = 'expand';
-    tr.appendChild(td);
+  const postId = $(line).attr('id').substr(1);
+  const lineId = `pe${postId}`;
+  let tr = document.getElementById(lineId);
 
-    // Get post content
-    $.get('services.php', {
-      f: 'getPostById',
-      id: postId,
-      post_type: ''
-    }, function(data) {
-      var rsp = $(data).children('rsp')[0];
-
-      if (rsp.attributes[0].value == 'ok') {
-        var post = $(rsp).find('post_display_content').text();
-        var post_excerpt = $(rsp).find('post_display_excerpt').text();
-        var res = '';
-
-        if (post) {
-          if (post_excerpt) {
-            res += post_excerpt + '<hr />';
-          }
-          res += post;
-          $(td).append(res);
-        }
+  if (!tr) {
+    // Get post content if possible
+    dotclear.getEntryContent(postId, function(content) {
+      if (content) {
+        // Content found
+        tr = document.createElement('tr');
+        tr.id = lineId;
+        const td = document.createElement('td');
+        td.colSpan = $(line).children('td').length;
+        td.className = 'expand';
+        tr.appendChild(td);
+        $(td).append(content);
+        $(line).addClass('expand');
+        line.parentNode.insertBefore(tr, line.nextSibling);
       } else {
-        window.alert($(rsp).find('message').text());
+        $(line).toggleClass('expand');
       }
+    }, {
+      clean: (e.metaKey)
     });
-
-    $(line).addClass('expand');
-    line.parentNode.insertBefore(tr, line.nextSibling);
-  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
-    $(tr).css('display', 'table-row');
-    $(line).addClass('expand');
-  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
-    $(tr).css('display', 'none');
-    $(line).removeClass('expand');
+  } else {
+    $(tr).toggle();
+    $(line).toggleClass('expand');
   }
 };
Index: admin/js/_preferences-dragdrop.js
===================================================================
--- admin/js/_preferences-dragdrop.js	(revision 3706)
+++ admin/js/_preferences-dragdrop.js	(revision 3880)
@@ -13,5 +13,5 @@
   });
   $('#favs-form').submit(function() {
-    var order = [];
+    let order = [];
     $('#my-favs ul li input.position').each(function() {
       order.push(this.name.replace(/^order\[([^\]]+)\]$/, '$1'));
Index: admin/js/_preferences.js
===================================================================
--- admin/js/_preferences.js	(revision 3706)
+++ admin/js/_preferences.js	(revision 3880)
@@ -6,5 +6,5 @@
     return;
   }
-  var user_email = $('#user_email').val();
+  const user_email = $('#user_email').val();
   $('#user-form').submit(function() {
     var e = this.elements.cur_pwd;
Index: admin/js/_users.js
===================================================================
--- admin/js/_users.js	(revision 3706)
+++ admin/js/_users.js	(revision 3880)
@@ -8,9 +8,9 @@
   dotclear.condSubmit('#form-users input[type="checkbox"]', '#form-users #do-action');
   $('#form-users').submit(function() {
-    var action = $(this).find('select[name="action"]').val();
-    var user_ids = [];
-    var nb_posts = [];
-    var i;
-    var msg_cannot_delete = false;
+    const action = $(this).find('select[name="action"]').val();
+    let user_ids = [];
+    let nb_posts = [];
+    let i;
+    let msg_cannot_delete = false;
 
     $(this).find('input[name="users[]"]').each(function() {
@@ -35,5 +35,5 @@
     }
 
-    var selectfields = 0;
+    let selectfields = 0;
     for (i = 0; i < user_ids.length; i++) {
       selectfields += user_ids[i].checked;
